Page MenuHomePhabricator

WMF-deploy tags are only auto-added to tasks when the task ID is the first listed task ID in the commit message
Closed, InvalidPublic

Description

I suspect that if a patch that targets multiple bugs gets merged, the corresponding WMF-deploy tag is only applied to the first phab ticket, not the other ones. Example: T146400 (I had to manually add it)

Event Timeline

Yurik created this task.Oct 12 2016, 4:31 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2016, 4:31 AM
Aklapper renamed this task from WMF-deploy tags are not auto-added in some cases to WMF-deploy tags are only auto-added to tasks when the task ID is the first listed task ID in the commit message.Oct 13 2016, 9:44 AM
Aklapper edited projects, added ReleaseTaggerBot; removed Release-Engineering-Team.
Jdforrester-WMF closed this task as Invalid.Oct 13 2016, 10:47 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This is invalid.

The correct syntax is:

Bug: T147078
Bug: T145109
Bug: T146400

The patch in question used a non-standard form:

Bug: T147078, T145109, T146400

Consequently RTB ignored everything after the ,, as it was line noise.

Yurik reopened this task as Open.Oct 14 2016, 4:30 AM

@Jdforrester-WMF I think the above is a frequent mistake, so we could either spend a lot of effort educating all of the developers, or we could update the script to allow both forms. I suspect the later is easier. Reopening to get some feedback from the Release-Engineering-Team about complexity of doing this.

Aklapper added a comment.EditedOct 14 2016, 10:04 AM

This was and is documented: "If a patch resolves two or more bugs, put each Bug: T12345 reference on its own line at the bottom."
I strongly doubt it's a frequent mistake.
@Yurik: As you want feedback from the Release-Engineering-Team, I assume you plan to contact them.

greg closed this task as Invalid.Oct 14 2016, 5:00 PM
greg added a subscriber: greg.

Note that there's also https://www.mediawiki.org/wiki/Commit-message-validator which is currently only installed for VE-MW (and non-voting at that) but will spot and V-1 mis-formatted commit messages.

Yurik added a subscriber: hashar.Oct 17 2016, 11:13 PM

@Jdforrester-WMF thanks, that would have helped greatly. @hashar, would it be possible to enable it more widely?